# Class Thelia\Core\Event\TheliaEvents | thelia

# Class TheliaEvents

Class containing all Thelia events name using in Thelia Core

Final
Namespace: Thelia\Core\Event
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Core/Event/TheliaEvents.php

Constants summary
`string` | `ACTION` | `"thelia.action"` | # ACTION event ACTION event Send if no action are already present in Thelia action process ( see Thelia\Routing\Matcher\ActionMatcher)
`string` | `INCLUSION` | `"thelia.include"` | # INCLUDE event INCLUDE event Send before starting thelia inclusion